#ifndef LFIRM_CHECK_H__
#define LFIRM_CHECK_H__
typedef struct st_lfirm_info t_lfirm_info;
typedef t_lfirm_info* t_lfirm_info_ptr ;




int firm_check_sign(const char* filename);

int firm_parse_init(const char* filename, t_lfirm_info_ptr *ptr);
int firm_check_device(t_lfirm_info_ptr pinfo, const char* devname, const char* chip, const char* rev);
int firm_get_size(t_lfirm_info* pinfo, unsigned *size);
char* firm_get_version(t_lfirm_info* pinfo);
int firm_read(t_lfirm_info* pinfo, unsigned char* buf, size_t pos, size_t size);


void firm_parse_clean(t_lfirm_info_ptr ptr);

#endif
